Covara logoDocs
Endpoint ReferenceDocuments

Create a document from a URL

Creates a document from a publicly accessible URL and queues extraction processing.

POST
/v1/documents/from-url

Creates a document from a publicly accessible URL and queues extraction processing.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/from-url" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "documentType": "string"  }'
{}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}